%global        gimpver          2.8.0
%global        _gimppluginsdir  %{_libdir}/gimp/%{gimpver}/plug-ins

Name:          gimp-separate+
Version:       0.5.8
Release:       7%{?dist}
Summary:       A plug-in providing rudimentary CMYK support for The GIMP
Group:         Applications/Multimedia
URL:           http://cue.yellowmagic.info/softwares/separate.html
Source:        http://iij.dl.sourceforge.jp/separate-plus/47873/separate+-%{version}.zip
# The entire source code is GPLv2+ except srgb_profile.h which is MIT/X11 (BSD like)
License:       GPLv2+ and MIT

BuildRequires: gettext
BuildRequires: gimp-devel
BuildRequires: lcms-devel
BuildRequires: libtiff-devel
BuildRequires: libjpeg-devel

Provides:      gimp-cmyk = %{version}-%{release}

Requires:      gimp >= %{gimpver}


%description
Separate+ is a GIMP plug-in that convert an RGB image to CMYK format.

%prep

%setup -q -n separate+-%{version}

%build
# XXX to fix "/usr/bin/ld: psd.o: undefined reference to symbol
# 'ceil@@GLIBC_2.2.5'" we hijack JPEG_LIB to pass additional stuff
%{__make} %{?_smp_mflags} \
    JPEG_LIB="-ljpeg -lm"

%install
install -pDm755 separate \
   %{buildroot}%{_gimppluginsdir}/separate
install -pDm755 separate_import \
   %{buildroot}%{_gimppluginsdir}/separate_import 
install -pDm755 icc_colorspace \
   %{buildroot}%{_gimppluginsdir}/icc_colorspace 

mkdir -p %{buildroot}%{_datadir}/color/icc

install -pm644 sRGB/sRGB_type2.icc  %{buildroot}%{_datadir}/color/icc


%files
%{_gimppluginsdir}/separate
%{_gimppluginsdir}/separate_import
%{_gimppluginsdir}/icc_colorspace
%{_datadir}/color/icc/*.icc
%doc COPYING README README_ICC_COLORSPACE

%changelog
* Tue Aug 27 2013 Peter Hanecak <hany@hany.sk> 0.5.8-7
- trimmed build requires as suggested
  in https://bugzilla.redhat.com/show_bug.cgi?id=913289#c24

* Tue Aug  6 2013 Peter Hanecak <hany@hany.sk> 0.5.8-6
- removed EPEL related stuff and -pDm755 used in install as sugested in
  https://bugzilla.redhat.com/show_bug.cgi?id=913289#c18
- to preserve the timestamp also for sRGB_type2.icc, install used instead of cp
- fixed another mixed use of spaces and tabs

* Mon Aug  5 2013 Peter Hanecak <hany@hany.sk> 0.5.8-5
- version provided for 'provides: gimp-cmyk' (see
  https://bugzilla.redhat.com/show_bug.cgi?id=913289#c10)

* Mon Aug  5 2013 Peter Hanecak <hany@hany.sk> 0.5.8-4
- fixed mixed used of spaces and tabs (see
  https://bugzilla.redhat.com/show_bug.cgi?id=913289#c10)

* Wed Apr 17 2013 Peter Hanecak <hany@hany.sk> 0.5.8-3
- another set of updates to address review comments
  (https://bugzilla.redhat.com/show_bug.cgi?id=913289#c4)

* Thu Feb 21 2013 Peter Hanecak <hany@hany.sk> 0.5.8-2
- updates to address review comments
  (https://bugzilla.redhat.com/show_bug.cgi?id=913289#c1)

* Mon Feb 11 2013 Peter Hanecak <hany@hany.sk> 0.5.8-1
- initial spec using the one created by Tiziana Ferro <tiziana.ferro@email.it>
